## vlc 3.0.21

=== doc/libvlc/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)

# configure with your own path
#  -DLIBVLC_SDK_INC:STRING=S:/sources/build/win64/win64/vlc-3.0.0-dev/sdk/include
#  -DLIBVLC_SDK_LIB:STRING=S:/sources/build/win64/win64/vlc-3.0.0-dev/sdk/lib
#
# or set them in your VSCode settings
# {
#     "cmake.configureSettings": {
#         "LIBVLC_SDK_INC": "S:/sources/vlc/include",
#         "LIBVLC_SDK_LIB": "S:/sources/build/win64/win64/lib/.libs"
#     }
# }

set("LIBVLC_SDK_INC" "" CACHE PATH "libvlc include folder, containing the vlc/ includes")
set("LIBVLC_SDK_LIB" "" CACHE PATH "libvlc library folder, containing the libvlc libraries")

project("libvlc samples")

# define the libvlc external build
add_library(libvlc SHARED IMPORTED GLOBAL)
target_include_directories(libvlc INTERFACE "${LIBVLC_SDK_INC}")
if (MSVC)
    set_target_properties(libvlc PROPERTIES IMPORTED_IMPLIB "${LIBVLC_SDK_LIB}/libvlc.lib")
else ()
    set_target_properties(libvlc PROPERTIES IMPORTED_IMPLIB "${LIBVLC_SDK_LIB}/libvlc.dll.a")
endif ()

if(WIN32)

    add_executable(d3d11_swapr WIN32 d3d11_swapr.cpp)
    target_compile_definitions(d3d11_swapr PRIVATE _WIN32_WINNT=0x0601)
    target_link_libraries(d3d11_swapr libvlc d3d11 d3dcompiler uuid)

    add_executable(win_player WIN32 win_player.c)
    target_link_libraries(win_player libvlc)

endif()

=== debian/changelog ===
vlc (3.0.21-10) unstable; urgency=medium

  * debian/: Disable plugins that are no longer supported upstream
    - a52
    - dca
    - libmpeg2

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 May 2025 22:30:46 +0200

vlc (3.0.21-9) unstable; urgency=medium

  * Revert "Bump to lua5.4"
    The vlc script ecosystem expects certain versions of lua and lua5.4 is not
    one of them.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Mar 2025 07:31:22 +0100

vlc (3.0.21-8) unstable; urgency=medium

  * Team upload
  * Bump to lua5.4

 -- Bastian Germann <bage@debian.org>  Fri, 07 Mar 2025 01:01:48 +0100

vlc (3.0.21-7) unstable; urgency=medium

  * debian/patches: Fix build with x265 4.1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Jan 2025 19:02:47 +0100

vlc (3.0.21-6) unstable; urgency=medium

  * debian/patches: Update to 3.0.21-1-385-g7b58309ae7
    * Ignore win32 and compat changes
    * Replace taglib 2.x patches with upstream changes
  * debian/: Re-enable VAAPI support (Closes: #1021601, #1013898)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Jan 2025 23:09:47 +0100

vlc (3.0.21-5) unstable; urgency=medium

  * Fix changelog of 3.0.21-3
  * debian/patches: Split patches into upstream and Arch patch

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jan 2025 10:55:36 +0100

vlc (3.0.21-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches/0014-Taglib-1.x-and-2.x-compat-fix.patch:
    Update patch to fix FTBFS on ARM architectures.
  * debian/control: Update build-dependency package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 22:33:36 -0500

vlc (3.0.21-4~exp1) experimental; urgency=medium

  * Team upload.
  * Force rebuild with taglib 2.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 11:21:32 -0500

vlc (3.0.21-3) unstable; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]
  * debian/clean: Clean luac files (Closes: #1047601)

  [ Boyuan Yang ]
  * debian/patches/0014-Taglib-1.x-and-2.x-compat-fix.patch:
    Add patch to fix compatibility with both Taglib 1.x and 2.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 11:06:11 -0500

vlc (3.0.21-2) unstable; urgency=medium

  * debian/patches: Apply WIP patches for ffmpeg 7.0 support (Closes:
    #1072456)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Aug 2024 12:11:01 +0200

vlc (3.0.21-1) unstable; urgency=medium

  * New upstream version 3.0.21
  * debian/patches: Refresh patches
  * debian/control: Replace obsolete packages with their new versions

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Jun 2024 18:01:08 +0200

vlc (3.0.20-4) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop OMX support (see #1065623)
  * Drop kFreeBSD support

  [ Sebastian Ramacher ]
  * debian/:
    - Complete omxil removal
    - Complete kfreebsd support removal
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Apr 2024 22:16:25 +0200

=== debian/control ===
Source: vlc
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Loic Minier <lool@dooz.org>,
 Christophe Mutricy <xtophe@videolan.org>,
 Mohammed Adnène Trojette <adn+deb@diwi.org>,
 Reinhard Tartler <siretart@tauware.de>,
 Benjamin Drung <bdrung@debian.org>,
 Edward Wang <edward.c.wang@compdigitec.com>,
 Mateusz Łukasik <mati75@linuxmint.pl>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 autopoint,
 bison,
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 gettext,
 flex,
 libaa1-dev,
 libarchive-dev (>= 3.1.0),
 libaribb24-dev,
 libasound2-dev (>= 1.0.24) [linux-any],
 libass-dev (>= 0.9.8),
 libavahi-client-dev,
 libavc1394-dev (>= 0.5.3) [linux-any],
 libavcodec-dev (>= 7:3.0),
 libavformat-dev (>= 7:3.0),
 libbluray-dev (>= 1:1.0.0),
 libcaca-dev (>= 0.99.beta4),
 libcairo2-dev (>= 1.13.1),
 libcddb2-dev,
 libchromaprint-dev (>= 0.6.0),
 libdav1d-dev,
 libdbus-1-dev (>= 1.6.0),
 libdc1394-dev (>= 2.1.0) [linux-any],
 libdvbpsi-dev (>= 1.2.0),
 libdvdnav-dev (>= 4.9.0),
 libdvdread-dev (>= 4.9.0),
 libebml-dev (>= 1.3.6),
 libegl1-mesa-dev,
 libfaad-dev,
 libflac-dev (>= 1.1.2-3),
 libfluidsynth-dev (>= 1.1.2),
 libfreetype-dev,
 libfribidi-dev,
 libgl-dev,
 libgles2-mesa-dev,
 libgnutls28-dev (>= 3.3.6),
 libgtk-3-dev,
 libharfbuzz-dev,
 libidn-dev,
 libiso9660-dev (>= 0.72),
 libjack-jackd2-dev | libjack-dev,
 libkate-dev (>= 0.3.0),
 liblirc-dev,
 liblua5.2-dev,
 libmad0-dev,
 libmatroska-dev (>= 1.0.0),
 libmpcdec-dev,
 libmpg123-dev,
 libmtp-dev (>= 1.0.0),
 libncurses-dev,
 libnfs-dev (>= 1.10.0) [linux-any],
 libnotify-dev,
 libogg-dev (>= 1.0),
 libopenmpt-modplug-dev (>= 0.8.9) | libmodplug-dev (>= 1:0.8.9),
 libopus-dev (>= 1.0.3),
 libpng-dev,
 libpostproc-dev (>= 7:3.0),
 libprotobuf-dev (>= 2.5.0),
 libpulse-dev (>= 1.0),
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libraw1394-dev (>= 2.0.1) [linux-any],
 libresid-builder-dev,
 librsvg2-dev,
 libsamplerate0-dev,
 libsecret-1-dev,
 libshine-dev (>= 3.0.0),
 libshout-dev,
 libsidplay2-dev,
 libsmbclient-dev [!hurd-any],
 libsoxr-dev (>= 0.1.2),
 libspatialaudio-dev,
 libspeex-dev (>= 1.0.5),
 libspeexdsp-dev (>= 1.0.5),
 libsrt-gnutls-dev,
 libssh2-1-dev,
 libswscale-dev (>= 7:3.0),
 libsystemd-dev [linux-any],
 libtag-dev (>= 2.0),
 libtheora-dev (>= 1.0),
 libtwolame-dev (>= 0.3.8),
 libudev-dev [linux-any],
 libupnp-dev,
 libv4l-dev [linux-any],
 libva-dev [linux-any],
 libvcdinfo-dev (>= 0.7.22),
 libvdpau-dev,
 libvncserver-dev (>= 0.9.9),
 libvorbis-dev,
 libx11-dev,
 libx264-dev (>= 2:0.86),
 libx265-dev,
 libxcb-composite0-dev,
 libxcb-keysyms1-dev (>= 0.3.4),
 libxcb-randr0-dev (>= 1.3),
 libxcb-shm0-dev,
 libxcb-xv0-dev (>= 1.1.90.1),
 libxcb1-dev (>= 1.6),
 libxext-dev,
 libxi-dev,
 libxinerama-dev,
 libxml2-dev,
 libxpm-dev,
 libzvbi-dev (>= 0.2.28),
 lua5.2,
 pkgconf,
 protobuf-compiler,
 python3:native,
 qtbase5-dev (>= 5.6),
 qtbase5-private-dev (>= 5.6),
 wayland-protocols [linux-any],
 zlib1g-dev,
 zsh
Standards-Version: 4.7.0
Homepage: https://www.videolan.org/vlc/
Vcs-Git: https://salsa.debian.org/multimedia-team/vlc.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vlc
Rules-Requires-Root: no

Package: vlc
Architecture: any
Depends:
 vlc-bin (= ${binary:Version}),
 vlc-plugin-base (= ${binary:Version}),
 vlc-plugin-qt (= ${binary:Version}),
 vlc-plugin-video-output (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 vlc-l10n (= ${source:Version}),
 vlc-plugin-access-extra (= ${binary:Version}),
 vlc-plugin-notify (= ${binary:Version}),
 vlc-plugin-samba (= ${binary:Version}) [linux-any],
 vlc-plugin-skins2 (= ${binary:Version}),
 vlc-plugin-video-splitter (= ${binary:Version}),
 vlc-plugin-visualization (= ${binary:Version})
Suggests:
 vlc-plugin-fluidsynth (= ${source:Version}),
 vlc-plugin-jack (= ${source:Version}),
 vlc-plugin-pipewire [linux-any],
 vlc-plugin-svg (= ${source:Version})
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added by
 installing additional plugins:
  * vlc-plugin-access-extra
  * vlc-plugin-fluidsynth
  * vlc-plugin-jack
  * vlc-plugin-notify
  * vlc-plugin-samba
  * vlc-plugin-skins2
  * vlc-plugin-svg
  * vlc-plugin-video-splitter
  * vlc-plugin-visualization

Package: libvlc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libvlc5 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libvlc
 This package contains headers and a static library required to build
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: libvlc5
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libvlc-bin (= ${binary:Version})
Description: multimedia player and streamer library
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the shared library required by applications using VLC
 features.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libvlccore9 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libvlccore
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains headers and a static library required to build plugins
 for VLC.

Package: libvlccore9
Section: libs
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libproxy-tools
Provides: ${vlc:PluginABI}
Description: base library for VLC and its modules
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the shared library required by VLC modules and libvlc.

Package: libvlc-bin
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: tools for VLC's base library
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the vlc-cache-gen binary.

Package: vlc-bin
Architecture: any
Depends:
 libvlc-bin (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: binaries from VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the VLC's binaries.

Package: vlc-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common data for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains HTTP interface files, and Lua scripts for VLC media
 player.

Package: vlc-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: translations for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains localisations for VLC media player.

Package: vlc-plugin-base
Architecture: any
Multi-Arch: same
Depends:
 vlc-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 ${vlc:PluginABI}
Recommends: xdg-utils
Suggests: libdvdcss2
Description: multimedia player and streamer (base plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains most plugins which are shipped in more specialied plugin
 packages.

Package: vlc-plugin-access-extra
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${vlc:PluginABI}
Enhances: vlc
Description: multimedia player and streamer (extra access plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains additional access plugins.

Package: vlc-plugin-video-output
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${vlc:PluginABI}
Enhances: vlc
Description: multimedia player and streamer (video output plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the video output plugins.

Package: vlc-plugin-video-splitter
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${vlc:PluginABI}
Enhances: vlc
Description: multimedia player and streamer (video splitter plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the video splitter plugins.

Package: vlc-plugin-visualization
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${vlc:PluginABI}
Enhances: vlc
Description: multimedia player and streamer (visualization plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the visualization plugins.

Package: vlc-plugin-skins2
Architecture: any
Multi-Arch: same
Depends:
 fonts-freefont-ttf,
 vlc-plugin-qt (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 ${vlc:PluginABI}
Recommends: vlc-bin
Enhances: vlc
Description: multimedia player and streamer (Skins2 plugin)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains VLC's Skins2 interface.

Package: vlc-plugin-qt
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${vlc:PluginABI}
Recommends: vlc-bin
Description: multimedia player and streamer (Qt plugin)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

export VLC_COMPILE_BY=$(DEB_VENDOR) buildd for $(DEB_DISTRIBUTION)
export VLC_COMPILE_HOST=$(DEB_VENDOR) $(DEB_HOST_ARCH) buildd

# custom build option: debug
# VLC enables assertions if --enable-debug is passed to the configure script. To debug issues, it
# might be useful to have them enabled. In that case, rebuilding the package with
# DEB_BUILD_OPTIONS=debug produces a build with the assertions enabled.
ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
confflags += --enable-debug
else
confflags += --disable-debug
endif

# configure flags
confflags += \
	--config-cache \
	--disable-update-check \
	--enable-fast-install \
	--docdir=/usr/share/doc/vlc \
	--with-binary-version=$(DEB_VERSION) \
	$(NULL)
# configure features
confflags += \
	--enable-aa \
	--enable-aribsub \
	--enable-avahi \
	--enable-bluray \
	--enable-caca \
	--enable-chromaprint \
	--enable-chromecast \
	--enable-dav1d \
	--enable-dbus \
	--enable-dvbpsi \
	--enable-dvdnav \
	--enable-faad \
	--enable-flac \
	--enable-fluidsynth \
	--enable-freetype \
	--enable-fribidi \
	--enable-gles2 \
	--enable-gnutls \
	--enable-harfbuzz \
	--enable-jack \
	--enable-kate \
	--enable-libass \
	--enable-libxml2 \
	--enable-lirc \
	--enable-mad \
	--enable-matroska \
	--enable-mod \
	--enable-mpc \
	--enable-mpg123 \
	--enable-mtp \
	--enable-ncurses \
	--enable-notify \
	--enable-ogg \
	--enable-opus \
	--enable-pulse \
	--enable-qt \
	--enable-realrtsp \
	--enable-samplerate \
	--enable-sftp \
	--enable-shine \
	--enable-shout \
	--enable-skins2 \
	--enable-soxr \
	--enable-spatialaudio \
	--enable-speex \
	--enable-srt \
	--enable-svg \
	--enable-svgdec \
	--enable-taglib \
	--enable-theora \
	--enable-twolame \
	--enable-upnp \
	--enable-vdpau \
	--enable-vnc \
	--enable-vorbis \
	--enable-x264 \
	--enable-x265 \
	--enable-zvbi \
	--with-kde-solid=/usr/share/solid/actions/ \
	$(NULL)
# Reasons for disabling features:
# a52: no longer supported upstream
# aom: dav1d support enabled
# crystalhd: unusble without firmware (#934242)
# d3d11va: Windows only
# dca: no longer supported upstream
# decklink: not in Debian
# directx: Windows only
# dsm: not in Debian
# dxva2: Windows only
# fdkaac: in Debian contrib
# fluidlite: fluidsynth is enabled
# freerdp: removed from Debian (#888323)
# goom: not in Debian
# gst-decode: not needed when having libavcodec
# libmpeg2: no longer supported upstream
# libplacebo: is too new
# libtar: security issue (#737534)
# live555: non-free code from RFC 3550 (#981439)
# macosx*: MacOX only
# mfx: currently not supported on Linux
# microdns: functionality already provided by avahi
# omxil: removed from Debian (#1065623)
# opencv: developer plugin not required by end users
# oss: use PulseAudio instead of oss
# projectm: broken
# schroedinger: removed from Debian (#845037)
# sdl-image: SDL 1.2 is deprecated (#1038590)
# sndio: NMU maintained key package
# sparkle: MacOS X only
# telx: incompatible with zvbi
# vpx: not needed when having libavcodec
# vsxu: not in Debian
# wasapi: Windows only
confflags += \
	--disable-a52 \
	--disable-aom \
	--disable-crystalhd \
	--disable-d3d11va \
	--disable-dca \
	--disable-decklink \
	--disable-directx \
	--disable-dsm \
	--disable-dxva2 \
	--disable-fdkaac \
	--disable-fluidlite \
	--disable-freerdp \
	--disable-goom \
	--disable-gst-decode \
	--disable-libmpeg2 \
	--disable-libplacebo \
	--disable-libtar \
	--disable-live555 \
	--disable-macosx \
	--disable-macosx-avfoundation \
	--disable-macosx-qtkit \
	--disable-mfx \
	--disable-microdns \
	--disable-omxil \
	--disable-opencv \
	--disable-oss \
	--disable-projectm \
	--disable-schroedinger \
	--disable-sdl-image \
	--disable-sndio \
	--disable-sparkle \
	--disable-telx \
	--disable-vpx \
	--disable-vsxu \
	--disable-wasapi \
	$(NULL)

# Linux specific flags
ifeq ($(DEB_HOST_ARCH_OS),linux)
confflags += \
	--enable-alsa \
	--enable-dc1394 \
	--enable-dv1394 \
	--enable-linsys \
	--enable-nfs \
	--enable-udev \
	--enable-v4l2 \
	--enable-wayland \
	$(NULL)
else
# V4L2 is disabled on Hurd due to a build failure.
confflags += \
	--disable-alsa \
	--disable-dc1394 \
	--disable-dv1394 \
	--disable-linsys \
	--disable-nfs \
	--disable-udev \
	--disable-v4l2 \
	--disable-wayland \
	$(NULL)
removeplugins += \
	alsa \
	dc1394 \
	dtv \
	dv1394 \
	dvb \
	fb \
	linsys \
	nfs \
	systemd \
	udev \
	v4l2 \
	wayland \
	$(NULL)
endif

# Linux specific flags (disabled on Hurd)
ifeq (,$(filter-out linux,$(DEB_HOST_ARCH_OS)))
confflags += \
	--enable-libva \
	--enable-vcd \
	--enable-smbclient \
	$(NULL)
else
confflags += \
	--disable-libva \
	--disable-vcd \
	--disable-smbclient \
	$(NULL)
removeplugins += \
	cdda \
	libva \
	smbclient \
	vcd \
	$(NULL)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
confflags += \
	--disable-optimizations \
	--disable-mmx \
	--disable-sse \
	--disable-altivec \
	--disable-neon \
	$(NULL)
removeplugins += mmx sse2 altivec neon
else
# amd64 and i386 specific optimizations
ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH_CPU)))
confflags += --enable-mmx --enable-sse
else
confflags += --disable-mmx --disable-sse
removeplugins += mmx sse2
endif

# ARM specific optimizations
ifeq (,$(filter-out armhf,$(DEB_HOST_ARCH_CPU)))
confflags += --enable-neon
else
confflags += --disable-neon
removeplugins += neon
endif

# PowerPC specific optimizations (excluding powerpcspe)
ifeq (,$(filter-out powerpc,$(DEB_HOST_ARCH_CPU))$(filter powerpcspe,$(DEB_HOST_ARCH)))
confflags += --enable-altivec
else
confflags += --disable-altivec
removeplugins += altivec
endif

# PowerPCSPE specific optimizations
ifeq (,$(filter-out powerpcspe,$(DEB_HOST_ARCH)))
DEB_CFLAGS_MAINT_APPEND += -mtune=8548
DEB_CXXFLAGS_MAINT_APPEND += -mtune=8548
endif
endif

export DEB_BUILD_MAINT_OPTIONS
export DEB_CFLAGS_MAINT_APPEND
export DEB_CXXFLAGS_MAINT_APPEND
export removeplugins

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

execute_after_dh_auto_build:
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	# Build zsh completion
	BUILDDIR=$(CURDIR) \
	cd extras/analyser && ./zsh_completion.sh
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	./vlc -vvv --ignore-config --no-plugins-cache --list --no-color
endif
endif

override_dh_install:
	# Remove plugin cache
	find debian/tmp/usr/lib -name plugins.dat -delete
	# Clean up libtool la files
	find debian/tmp -name '*.la' -delete
	# Remove useless stuff
	ln -sf /usr/share/fonts/truetype/freefont/FreeSans.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSans.ttf
	ln -sf /usr/share/fonts/truetype/freefont/FreeMonoBold.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSansBold.ttf
	rm -f debian/tmp/usr/share/man/man1/vlc-config.1
	# Remove additional license files
	find debian/tmp -name LICENSE -delete
	# Remove examples installed in -dev packages
	rm -rf debian/tmp/usr/share/doc/vlc/libvlc
	# Install
	dh_install
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	# Install zsh completion
	dh_install -pvlc-bin extras/analyser/_vlc usr/share/zsh/vendor-completions
endif
ifeq (Ubuntu,$(DEB_VENDOR))
	dh_install -pvlc-bin debian/source_vlc.py usr/share/apport/package-hooks/
endif
	# Create empty directory for plugins.dat
	mkdir -p debian/libvlc-bin/usr/lib/${DEB_HOST_MULTIARCH}/vlc/plugins

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -Xlibvlc_vdpau -Xlibvlc_pulse -Xlibvlc_xcb_events

debian/shlibs.local:
	echo "libvlc 5 libvlc5 (>= $(DEB_VERSION_UPSTREAM))" > debian/shlibs.local
	echo "libvlccore 9 libvlccore9 (>= $(DEB_VERSION_UPSTREAM))" >> debian/shlibs.local

execute_before_dh_shlibdeps: debian/shlibs.local

override_dh_bugfiles:
	dh_bugfiles -A

execute_before_dh_installdeb-arch:
	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://download.videolan.org/pub/videolan/vlc/([\d][\d\.]+[a-z]?)/vlc-([\d][\d\.]+[a-z]?)\.tar\.xz

## vlc 3.0.22~rc1

=== test/dynamicoverlay/Makefile ===
all: overlay-test

overlay-test: overlay-test.c
	gcc -g2 --std=c99 -D_XOPEN_SOURCE=500 overlay-test.c -lm -o overlay-test

=== debian/changelog ===
vlc (3.0.22~rc1-1) unstable; urgency=medium

  * New upstream version 3.0.22~rc1
  * debian/control:
    - Fix version constraints on suggested plugins
    - Drop alternative libmodplug-dev BD
    - Remove dpkg-dev dependency satisfied in stable
  * debian/:
    - Remove zsh completion to make the package reproducible
    - Switch to lua 5.4 (Closes: #1099742)
      Check the NEWS entry of vlc-plugin-base on potential issues.
    - Update lintian overrides for new format
  * debian/watch: Migrate to version 5
  * debian/rules:
    - debhelper now skips override_dh_auto_test if nocheck is specified
    - Remove handling of libtar as it got dropped upstream
  * debian/patches: Remove upstream patches included in 3.0.22~rc1
  * debian/copyright:
    - Remove old FSF address
    - Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Sep 2025 15:26:54 +0200

vlc (3.0.21-11) unstable; urgency=medium

  * debian/rules: Disable postproc plugin since libpostproc is removed from
    ffmpeg 8.0
  * debian/control:
    - Bump Standards-Version
    - Remove unused BD on libvcdinfo-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Aug 2025 18:41:04 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  autopoint,
  bison,
  debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
  gettext,
  flex,
  libaa1-dev,
@@ -55,7 +54,7 @@
  libjack-jackd2-dev | libjack-dev,
  libkate-dev (>= 0.3.0),
  liblirc-dev,
- liblua5.2-dev,
+ liblua5.4-dev,
  libmad0-dev,
  libmatroska-dev (>= 1.0.0),
  libmpcdec-dev,
@@ -65,10 +64,9 @@
  libnfs-dev (>= 1.10.0) [linux-any],
  libnotify-dev,
  libogg-dev (>= 1.0),
- libopenmpt-modplug-dev (>= 0.8.9) | libmodplug-dev (>= 1:0.8.9),
+ libopenmpt-modplug-dev (>= 0.8.9),
  libopus-dev (>= 1.0.3),
  libpng-dev,
- libpostproc-dev (>= 7:3.0),
  libprotobuf-dev (>= 2.5.0),
  libpulse-dev (>= 1.0),
  libqt5svg5-dev,
@@ -97,7 +95,6 @@
  libupnp-dev,
  libv4l-dev [linux-any],
  libva-dev [linux-any],
- libvcdinfo-dev (>= 0.7.22),
  libvdpau-dev,
  libvncserver-dev (>= 0.9.9),
  libvorbis-dev,
@@ -116,20 +113,18 @@
  libxml2-dev,
  libxpm-dev,
  libzvbi-dev (>= 0.2.28),
- lua5.2,
+ lua5.4,
  pkgconf,
  protobuf-compiler,
  python3:native,
  qtbase5-dev (>= 5.6),
  qtbase5-private-dev (>= 5.6),
  wayland-protocols [linux-any],
- zlib1g-dev,
- zsh
-Standards-Version: 4.7.0
+ zlib1g-dev
+Standards-Version: 4.7.2
 Homepage: https://www.videolan.org/vlc/
 Vcs-Git: https://salsa.debian.org/multimedia-team/vlc.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vlc
-Rules-Requires-Root: no
 
 Package: vlc
 Architecture: any
@@ -148,10 +143,10 @@
  vlc-plugin-video-splitter (= ${binary:Version}),
  vlc-plugin-visualization (= ${binary:Version})
 Suggests:
- vlc-plugin-fluidsynth (= ${source:Version}),
- vlc-plugin-jack (= ${source:Version}),
+ vlc-plugin-fluidsynth (= ${binary:Version}),
+ vlc-plugin-jack (= ${binary:Version}),
  vlc-plugin-pipewire [linux-any],
- vlc-plugin-svg (= ${source:Version})
+ vlc-plugin-svg (= ${binary:Version})
 Provides: mp3-decoder
 Description: multimedia player and streamer
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -395,3 +390,9 @@
 Description: multimedia player and streamer (Qt plugin)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
+ .
+ This package contains VLC's Qt interface.
+
+Package: vlc-plugin-fluidsynth
+Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,7 @@
 	--enable-zvbi \
 	--with-kde-solid=/usr/share/solid/actions/ \
 	$(NULL)
+
 # Reasons for disabling features:
 # a52: no longer supported upstream
 # aom: dav1d support enabled
@@ -106,7 +107,6 @@
 # gst-decode: not needed when having libavcodec
 # libmpeg2: no longer supported upstream
 # libplacebo: is too new
-# libtar: security issue (#737534)
 # live555: non-free code from RFC 3550 (#981439)
 # macosx*: MacOX only
 # mfx: currently not supported on Linux
@@ -115,6 +115,7 @@
 # opencv: developer plugin not required by end users
 # oss: use PulseAudio instead of oss
 # projectm: broken
+# postproc: removed from ffmpeg 8.0
 # schroedinger: removed from Debian (#845037)
 # sdl-image: SDL 1.2 is deprecated (#1038590)
 # sndio: NMU maintained key package
@@ -140,7 +141,6 @@
 	--disable-gst-decode \
 	--disable-libmpeg2 \
 	--disable-libplacebo \
-	--disable-libtar \
 	--disable-live555 \
 	--disable-macosx \
 	--disable-macosx-avfoundation \
@@ -150,6 +150,7 @@
 	--disable-omxil \
 	--disable-opencv \
 	--disable-oss \
+	--disable-postproc \
 	--disable-projectm \
 	--disable-schroedinger \
 	--disable-sdl-image \
@@ -273,22 +274,15 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
-
-execute_after_dh_auto_build:
-ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-	# Build zsh completion
-	BUILDDIR=$(CURDIR) \
-	cd extras/analyser && ./zsh_completion.sh
-endif
+	# only needed for rc tarballs
+	echo "3.0.22-rc1-0-g9e23cc7e00" > src/revision.txt
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	./vlc -vvv --ignore-config --no-plugins-cache --list --no-color
 endif
-endif
-
-override_dh_install:
+
+execute_before_dh_install:
 	# Remove plugin cache
 	find debian/tmp/usr/lib -name plugins.dat -delete
 	# Clean up libtool la files
@@ -301,12 +295,8 @@
 	find debian/tmp -name LICENSE -delete
 	# Remove examples installed in -dev packages
 	rm -rf debian/tmp/usr/share/doc/vlc/libvlc
-	# Install
-	dh_install
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	# Install zsh completion
-	dh_install -pvlc-bin extras/analyser/_vlc usr/share/zsh/vendor-completions
-endif
+
+execute_after_dh_install:
 ifeq (Ubuntu,$(DEB_VENDOR))
 	dh_install -pvlc-bin debian/source_vlc.py usr/share/apport/package-hooks/
 endif
@@ -330,3 +320,9 @@
 
 execute_before_dh_installdeb-arch:
 	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
+		debian/libvlc-bin.postinst.in > debian/libvlc-bin.postinst
+	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
+		debian/libvlc-bin.prerm.in > debian/libvlc-bin.prerm
+	echo 'interest-noawait /usr/lib/${DEB_HOST_MULTIARCH}/vlc/plugins' > debian/libvlc-bin.triggers
+
+override_dh_gencontrol-arch:

=== debian/watch ===
Version: 5

Source: https://download.videolan.org/vlc/last/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.asc/

## vlc 3.0.22~rc2

=== debian/changelog ===
vlc (3.0.22~rc2-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Fix FTBFS on powerpc (Closes: #1115385)

  [ Sebastian Ramacher ]
  * New upstream version 3.0.22~rc2
    - Fix installation of Assamese translation (Closes: #1085961)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Nov 2025 10:31:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -249,8 +249,9 @@
 removeplugins += neon
 endif
 
-# PowerPC specific optimizations (excluding powerpcspe)
-ifeq (,$(filter-out powerpc,$(DEB_HOST_ARCH_CPU))$(filter powerpcspe,$(DEB_HOST_ARCH)))
+# PowerPC specific optimizations
+# AltiVec is currently disabled on powerpc and ppc64
+ifeq (,$(filter-out ppc64el,$(DEB_HOST_ARCH_CPU)))
 confflags += --enable-altivec
 else
 confflags += --disable-altivec
@@ -275,7 +276,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
 	# only needed for rc tarballs
-	echo "3.0.22-rc1-0-g9e23cc7e00" > src/revision.txt
+	echo "3.0.22-rc2-0-a9d5a66e" > src/revision.txt
 
 override_dh_auto_test:
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))

## vlc 3.0.22

=== debian/changelog ===
vlc (3.0.22-2) unstable; urgency=medium

  * debian/: Disable libmad plugin
  * debian/patches: Apply upstream patches to fix build with ffmpeg 8.0
    (Closes: #1115062)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Dec 2025 12:26:35 +0100

vlc (3.0.22-1) unstable; urgency=medium

  * New upstream version 3.0.22
  * debian/rules: No longer write revision info

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Dec 2025 21:48:10 +0100

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,6 @@
  libkate-dev (>= 0.3.0),
  liblirc-dev,
  liblua5.4-dev,
- libmad0-dev,
  libmatroska-dev (>= 1.0.0),
  libmpcdec-dev,
  libmpg123-dev,
@@ -396,3 +395,5 @@
 
 Package: vlc-plugin-fluidsynth
 Architecture: any
+Multi-Arch: same
+Depends:

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,6 @@
 	--enable-libass \
 	--enable-libxml2 \
 	--enable-lirc \
-	--enable-mad \
 	--enable-matroska \
 	--enable-mod \
 	--enable-mpc \
@@ -109,6 +108,7 @@
 # libplacebo: is too new
 # live555: non-free code from RFC 3550 (#981439)
 # macosx*: MacOX only
+# mad: orphaned (#1122252)
 # mfx: currently not supported on Linux
 # microdns: functionality already provided by avahi
 # omxil: removed from Debian (#1065623)
@@ -145,6 +145,7 @@
 	--disable-macosx \
 	--disable-macosx-avfoundation \
 	--disable-macosx-qtkit \
+	--disable-mad \
 	--disable-mfx \
 	--disable-microdns \
 	--disable-omxil \
@@ -275,8 +276,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
-	# only needed for rc tarballs
-	echo "3.0.22-rc2-0-a9d5a66e" > src/revision.txt
 
 override_dh_auto_test:
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -291,7 +290,6 @@
 	# Remove useless stuff
 	ln -sf /usr/share/fonts/truetype/freefont/FreeSans.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSans.ttf
 	ln -sf /usr/share/fonts/truetype/freefont/FreeMonoBold.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSansBold.ttf
-	rm -f debian/tmp/usr/share/man/man1/vlc-config.1
 	# Remove additional license files
 	find debian/tmp -name LICENSE -delete
 	# Remove examples installed in -dev packages
@@ -327,3 +325,4 @@
 	echo 'interest-noawait /usr/lib/${DEB_HOST_MULTIARCH}/vlc/plugins' > debian/libvlc-bin.triggers
 
 override_dh_gencontrol-arch:
+	sed -n 's/^# define MODULE_SYMBOL \([0-9][_0-9a-z]*\)/-Vvlc:PluginABI=vlc-plugin-abi-\1/p' \

## vlc 3.0.23

=== debian/changelog ===
vlc (3.0.23-2) experimental; urgency=medium

  * debian/control: Switch to Qt6

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Jan 2026 12:43:16 +0100

vlc (3.0.23-1) unstable; urgency=medium

  * New upstream version 3.0.23
  * debian/patches: Remove patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Jan 2026 12:14:02 +0100

vlc (3.0.22-4) unstable; urgency=medium

  * debian/rules: Fix typo

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Dec 2025 17:26:40 +0100

vlc (3.0.22-3) unstable; urgency=medium

  [ Colomban Wendling ]
  * Fix a few typos and wording in packages descriptions

  [ Pino Toscano ]
  * Build sid plugin only on Linux
  * Force linking to pthread on Hurd

  [ Sebastian Ramacher ]
  * debian/: Disable libcaca
  * debian/control:
    - Remove inactive Uploaders
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Dec 2025 16:49:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,16 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Loic Minier <lool@dooz.org>,
- Christophe Mutricy <xtophe@videolan.org>,
- Mohammed Adnène Trojette <adn+deb@diwi.org>,
  Reinhard Tartler <siretart@tauware.de>,
  Benjamin Drung <bdrung@debian.org>,
- Edward Wang <edward.c.wang@compdigitec.com>,
  Mateusz Łukasik <mati75@linuxmint.pl>,
- Sebastian Ramacher <sramacher@debian.org>
+ Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  autopoint,
  bison,
- debhelper-compat (= 13),
+ flex,
  gettext,
- flex,
  libaa1-dev,
  libarchive-dev (>= 3.1.0),
  libaribb24-dev,
@@ -27,7 +23,6 @@
  libavcodec-dev (>= 7:3.0),
  libavformat-dev (>= 7:3.0),
  libbluray-dev (>= 1:1.0.0),
- libcaca-dev (>= 0.99.beta4),
  libcairo2-dev (>= 1.13.1),
  libcddb2-dev,
  libchromaprint-dev (>= 0.6.0),
@@ -68,16 +63,14 @@
  libpng-dev,
  libprotobuf-dev (>= 2.5.0),
  libpulse-dev (>= 1.0),
- libqt5svg5-dev,
- libqt5x11extras5-dev,
  libraw1394-dev (>= 2.0.1) [linux-any],
- libresid-builder-dev,
+ libresid-builder-dev [linux-any],
  librsvg2-dev,
  libsamplerate0-dev,
  libsecret-1-dev,
  libshine-dev (>= 3.0.0),
  libshout-dev,
- libsidplay2-dev,
+ libsidplay2-dev [linux-any],
  libsmbclient-dev [!hurd-any],
  libsoxr-dev (>= 0.1.2),
  libspatialaudio-dev,
@@ -116,11 +109,12 @@
  pkgconf,
  protobuf-compiler,
  python3:native,
- qtbase5-dev (>= 5.6),
- qtbase5-private-dev (>= 5.6),
+ qt6-base-dev,
+ qt6-base-private-dev,
+ qt6-svg-dev,
  wayland-protocols [linux-any],
- zlib1g-dev
-Standards-Version: 4.7.2
+ zlib1g-dev,
+Standards-Version: 4.7.3
 Homepage: https://www.videolan.org/vlc/
 Vcs-Git: https://salsa.debian.org/multimedia-team/vlc.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vlc
@@ -132,7 +126,7 @@
  vlc-plugin-base (= ${binary:Version}),
  vlc-plugin-qt (= ${binary:Version}),
  vlc-plugin-video-output (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends},
 Recommends:
  vlc-l10n (= ${source:Version}),
  vlc-plugin-access-extra (= ${binary:Version}),
@@ -140,19 +134,20 @@
  vlc-plugin-samba (= ${binary:Version}) [linux-any],
  vlc-plugin-skins2 (= ${binary:Version}),
  vlc-plugin-video-splitter (= ${binary:Version}),
- vlc-plugin-visualization (= ${binary:Version})
+ vlc-plugin-visualization (= ${binary:Version}),
 Suggests:
  vlc-plugin-fluidsynth (= ${binary:Version}),
  vlc-plugin-jack (= ${binary:Version}),
  vlc-plugin-pipewire [linux-any],
- vlc-plugin-svg (= ${binary:Version})
-Provides: mp3-decoder
+ vlc-plugin-svg (= ${binary:Version}),
+Provides:
+ mp3-decoder,
 Description: multimedia player and streamer
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
  .
- VLC can also be used as a streaming server that duplicates the stream it
+ VLC can also be used as a streaming server that duplicates the streams it
  reads and multicasts them through the network to other clients, or serves
  them through HTTP.
  .
@@ -176,7 +171,7 @@
 Multi-Arch: same
 Depends:
  libvlc5 (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends},
 Description: development files for libvlc
  This package contains headers and a static library required to build
  standalone applications that use VLC features.
@@ -191,8 +186,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
-Recommends: libvlc-bin (= ${binary:Version})
+ ${shlibs:Depends},
+Recommends:
+ libvlc-bin (= ${binary:Version}),
 Description: multimedia player and streamer library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -207,7 +203,7 @@
 Multi-Arch: same
 Depends:
  libvlccore9 (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends},
 Description: development files for libvlccore
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -222,9 +218,11 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
-Recommends: libproxy-tools
-Provides: ${vlc:PluginABI}
+ ${shlibs:Depends},
+Recommends:
+ libproxy-tools,
+Provides:
+ ${vlc:PluginABI},
 Description: base library for VLC and its modules
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -237,7 +235,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: tools for VLC's base library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -250,37 +248,39 @@
 Depends:
  libvlc-bin (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: binaries from VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
  .
- This package contains the VLC's binaries.
+ This package contains the VLC binaries.
 
 Package: vlc-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: common data for VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
  .
- This package contains HTTP interface files, and Lua scripts for VLC media
+ This package contains HTTP interface files, and Lua scripts for the VLC media
  player.
 
 Package: vlc-l10n
 Section: localization
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: translations for VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
  .
- This package contains localisations for VLC media player.
+ This package contains the translations for the VLC media player.
 
 Package: vlc-plugin-base
 Architecture: any
@@ -289,16 +289,18 @@
  vlc-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- ${vlc:PluginABI}
-Recommends: xdg-utils
-Suggests: libdvdcss2
+ ${vlc:PluginABI},
+Recommends:
+ xdg-utils,
+Suggests:
+ libdvdcss2,
 Description: multimedia player and streamer (base plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
  .
- This package contains most plugins which are shipped in more specialied plugin
- packages.
+ This package contains most plugins which are not shipped in more specialized
+ plugin packages.
 
 Package: vlc-plugin-access-extra
 Architecture: any
@@ -306,8 +308,9 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- ${vlc:PluginABI}
-Enhances: vlc
+ ${vlc:PluginABI},
+Enhances:
+ vlc,
 Description: multimedia player and streamer (extra access plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -321,8 +324,9 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- ${vlc:PluginABI}
-Enhances: vlc
+ ${vlc:PluginABI},
+Enhances:
+ vlc,
 Description: multimedia player and streamer (video output plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -336,8 +340,9 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- ${vlc:PluginABI}
-Enhances: vlc
+ ${vlc:PluginABI},
+Enhances:
+ vlc,
 Description: multimedia player and streamer (video splitter plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -351,8 +356,9 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- ${vlc:PluginABI}
-Enhances: vlc
+ ${vlc:PluginABI},
+Enhances:
+ vlc,
 Description: multimedia player and streamer (visualization plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -368,9 +374,11 @@
  vlc-plugin-qt (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- ${vlc:PluginABI}
-Recommends: vlc-bin
-Enhances: vlc
+ ${vlc:PluginABI},
+Recommends:
+ vlc-bin,
+Enhances:
+ vlc,
 Description: multimedia player and streamer (Skins2 plugin)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -384,8 +392,9 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- ${vlc:PluginABI}
-Recommends: vlc-bin
+ ${vlc:PluginABI},
+Recommends:
+ vlc-bin,
 Description: multimedia player and streamer (Qt plugin)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -397,3 +406,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ fluid-soundfont-gm | timgm6mb-soundfont,
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${vlc:PluginABI},
+Enhances:
+ vlc,

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 	--enable-aribsub \
 	--enable-avahi \
 	--enable-bluray \
-	--enable-caca \
 	--enable-chromaprint \
 	--enable-chromecast \
 	--enable-dav1d \
@@ -92,6 +91,7 @@
 # Reasons for disabling features:
 # a52: no longer supported upstream
 # aom: dav1d support enabled
+# caca: unmaintained upstream
 # crystalhd: unusble without firmware (#934242)
 # d3d11va: Windows only
 # dca: no longer supported upstream
@@ -127,6 +127,7 @@
 confflags += \
 	--disable-a52 \
 	--disable-aom \
+	--disable-caca \
 	--disable-crystalhd \
 	--disable-d3d11va \
 	--disable-dca \
@@ -171,6 +172,7 @@
 	--enable-dv1394 \
 	--enable-linsys \
 	--enable-nfs \
+	--enable-sid \
 	--enable-udev \
 	--enable-v4l2 \
 	--enable-wayland \
@@ -183,6 +185,7 @@
 	--disable-dv1394 \
 	--disable-linsys \
 	--disable-nfs \
+	--disable-sid \
 	--disable-udev \
 	--disable-v4l2 \
 	--disable-wayland \
@@ -266,9 +269,17 @@
 endif
 endif
 
+# force linking against pthread, as the configure bits detect it is not needed;
+# it will not be needed anymore once the pthreads bits are fully in libc also
+# on Hurd (which will be in glibc 2.43+)
+ifeq ($(DEB_HOST_ARCH_OS),hurd)
+DEB_LDFLAGS_MAINT_APPEND += -lpthread
+endif
+
 export DEB_BUILD_MAINT_OPTIONS
 export DEB_CFLAGS_MAINT_APPEND
 export DEB_CXXFLAGS_MAINT_APPEND
+export DEB_LDFLAGS_MAINT_APPEND
 export removeplugins
 
 %:
@@ -319,10 +330,3 @@
 
 execute_before_dh_installdeb-arch:
 	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
-		debian/libvlc-bin.postinst.in > debian/libvlc-bin.postinst
-	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
-		debian/libvlc-bin.prerm.in > debian/libvlc-bin.prerm
-	echo 'interest-noawait /usr/lib/${DEB_HOST_MULTIARCH}/vlc/plugins' > debian/libvlc-bin.triggers
-
-override_dh_gencontrol-arch:
-	sed -n 's/^# define MODULE_SYMBOL \([0-9][_0-9a-z]*\)/-Vvlc:PluginABI=vlc-plugin-abi-\1/p' \

=== debian/tests/control ===
Tests:
 vlc-bin,
Depends:
 vlc-bin,
Restrictions:
 allow-stderr,

Tests:
 vlc,
Depends:
 vlc,
Restrictions:
 allow-stderr,

Tests:
 vlc-all,
Depends:
 gdb,
 vlc,
 vlc-plugin-access-extra,
 vlc-plugin-fluidsynth,
 vlc-plugin-jack,
 vlc-plugin-notify,
 vlc-plugin-samba,
 vlc-plugin-skins2,
 vlc-plugin-svg,
 vlc-plugin-video-splitter,
 vlc-plugin-visualization,
Restrictions:
 allow-stderr,
